Class UmlActivityControlNode

Declaration :

- C++ : class UmlActivityControlNode : public UmlBaseActivityControlNode
- Java : abstract class UmlActivityControlNode extends UmlBaseActivityControlNode

Directly inherited by : UmlBaseActivityFinalActivityNode UmlBaseDecisionActivityNode UmlBaseFlowFinalActivityNode UmlBaseForkActivityNode UmlBaseInitialActivityNode UmlBaseJoinActivityNode UmlBaseMergeActivityNode

Artifact : UmlActivityControlNode

Operation UmlActivityControlNode

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlActivityControlNode(in id : item_id, in s : string) :
- C++ : protected: UmlActivityControlNode(void * id, const QCString & s) : UmlBaseActivityControlNode(id, s)
- Java : protected UmlActivityControlNode(long id, String s)

All public operations : apply , applyStereotype , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload